Skip to main content
`Ctrl`+`K`

# NEPGetTolerances

Gets the tolerance and maximum iteration count used by the `NEP` convergence tests.

## Synopsis

    #include "slepcnep.h"
    PetscErrorCode NEPGetTolerances(NEP nep,PetscReal *tol,PetscInt *maxits)

Not Collective

## Input Parameter

- nep - the nonlinear eigensolver context

## Output Parameters

- tol - the convergence tolerance

- maxits - maximum number of iterations

## Notes

The user can specify `NULL` for any parameter that is not needed.

## See Also

NEP: Nonlinear Eigenvalue Problems, `NEPSetTolerances()`

## Level

intermediate

## Location

src/nep/interface/nepopts.c

## Examples

src/nep/tutorials/ex20.c
src/nep/tutorials/ex42.c
src/nep/tutorials/ex20f.F90

Index of all NEP routines Table of Contents for all manual pages Index of all manual pages